Package org.apache.sysds.runtime.functionobjects

## Class IndexFunction

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.IndexFunction

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DiagIndex`, `OffsetColumnIndex`, `ReduceAll`, `ReduceCol`, `ReduceDiag`, `ReduceRow`, `RevIndex`, `SortIndex`, `SwapIndex`

    public abstract class IndexFunction
    extends FunctionObject

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IndexFunction()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `computeDimension​(int row, int col, MatrixValue.CellIndex retDim)`
`abstract boolean` `computeDimension​(DataCharacteristics in, DataCharacteristics out)`
`abstract void` `execute​(MatrixIndexes in, MatrixIndexes out)`
`abstract void` `execute​(MatrixValue.CellIndex in, MatrixValue.CellIndex out)`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexFunction

    public IndexFunction()

### Method Detail

#### execute

    public abstract void execute​(MatrixIndexes in,
                                 MatrixIndexes out)

#### execute

    public abstract void execute​(MatrixValue.CellIndex in,
                                 MatrixValue.CellIndex out)

#### computeDimension

    public abstract boolean computeDimension​(int row,
                                             int col,
                                             MatrixValue.CellIndex retDim)

#### computeDimension

    public abstract boolean computeDimension​(DataCharacteristics in,
                                             DataCharacteristics out)